[BETA] Create exclusive banner campaign.
curl --request POST \
--url https://api.topsort.com/public/v1/campaign-service/campaigns/exclusive-banner \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Bola-Bola Ad campaign",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"exclusivityPrice": 123,
"bids": [
{
"target": {
"id": "p_8983",
"type": "product"
},
"amount": "<unknown>",
"location": "Santiago",
"triggers": [],
"formatProperties": {
"bannerAssets": [
{
"dimensions": {
"width": 1920,
"height": 1080
},
"url": "<string>",
"contentType": "image/png",
"size": 123,
"assetId": "asset_01j713j64yfsvtj4bs3ccpy5ca",
"content": {},
"jsonTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"slotId": "<string>",
"adFormat": "banner",
"deviceType": "desktop"
}
}
],
"isActive": true,
"externalCampaignId": "<string>",
"isAutoTrigger": false,
"position": 1,
"walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"impressionsThreshold": 123,
"exclusivityPercentage": 123,
"status": "pending",
"productIds": [
"<string>"
],
"mediaType": "video"
}
'import requests
url = "https://api.topsort.com/public/v1/campaign-service/campaigns/exclusive-banner"
payload = {
"name": "Bola-Bola Ad campaign",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"exclusivityPrice": 123,
"bids": [
{
"target": {
"id": "p_8983",
"type": "product"
},
"amount": "<unknown>",
"location": "Santiago",
"triggers": [],
"formatProperties": {
"bannerAssets": [
{
"dimensions": {
"width": 1920,
"height": 1080
},
"url": "<string>",
"contentType": "image/png",
"size": 123,
"assetId": "asset_01j713j64yfsvtj4bs3ccpy5ca",
"content": {},
"jsonTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"slotId": "<string>",
"adFormat": "banner",
"deviceType": "desktop"
}
}
],
"isActive": True,
"externalCampaignId": "<string>",
"isAutoTrigger": False,
"position": 1,
"walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"impressionsThreshold": 123,
"exclusivityPercentage": 123,
"status": "pending",
"productIds": ["<string>"],
"mediaType": "video"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Bola-Bola Ad campaign',
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
exclusivityPrice: 123,
bids: [
{
target: {id: 'p_8983', type: 'product'},
amount: '<unknown>',
location: 'Santiago',
triggers: [],
formatProperties: {
bannerAssets: [
{
dimensions: {width: 1920, height: 1080},
url: '<string>',
contentType: 'image/png',
size: 123,
assetId: 'asset_01j713j64yfsvtj4bs3ccpy5ca',
content: {},
jsonTemplateId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
],
slotId: '<string>',
adFormat: 'banner',
deviceType: 'desktop'
}
}
],
isActive: true,
externalCampaignId: '<string>',
isAutoTrigger: false,
position: 1,
walletId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
impressionsThreshold: 123,
exclusivityPercentage: 123,
status: 'pending',
productIds: ['<string>'],
mediaType: 'video'
})
};
fetch('https://api.topsort.com/public/v1/campaign-service/campaigns/exclusive-banner', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.topsort.com/public/v1/campaign-service/campaigns/exclusive-banner",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Bola-Bola Ad campaign',
'startDate' => '2023-11-07T05:31:56Z',
'endDate' => '2023-11-07T05:31:56Z',
'exclusivityPrice' => 123,
'bids' => [
[
'target' => [
'id' => 'p_8983',
'type' => 'product'
],
'amount' => '<unknown>',
'location' => 'Santiago',
'triggers' => [
],
'formatProperties' => [
'bannerAssets' => [
[
'dimensions' => [
'width' => 1920,
'height' => 1080
],
'url' => '<string>',
'contentType' => 'image/png',
'size' => 123,
'assetId' => 'asset_01j713j64yfsvtj4bs3ccpy5ca',
'content' => [
],
'jsonTemplateId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
],
'slotId' => '<string>',
'adFormat' => 'banner',
'deviceType' => 'desktop'
]
]
],
'isActive' => true,
'externalCampaignId' => '<string>',
'isAutoTrigger' => false,
'position' => 1,
'walletId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'impressionsThreshold' => 123,
'exclusivityPercentage' => 123,
'status' => 'pending',
'productIds' => [
'<string>'
],
'mediaType' => 'video'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.topsort.com/public/v1/campaign-service/campaigns/exclusive-banner"
payload := strings.NewReader("{\n \"name\": \"Bola-Bola Ad campaign\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"exclusivityPrice\": 123,\n \"bids\": [\n {\n \"target\": {\n \"id\": \"p_8983\",\n \"type\": \"product\"\n },\n \"amount\": \"<unknown>\",\n \"location\": \"Santiago\",\n \"triggers\": [],\n \"formatProperties\": {\n \"bannerAssets\": [\n {\n \"dimensions\": {\n \"width\": 1920,\n \"height\": 1080\n },\n \"url\": \"<string>\",\n \"contentType\": \"image/png\",\n \"size\": 123,\n \"assetId\": \"asset_01j713j64yfsvtj4bs3ccpy5ca\",\n \"content\": {},\n \"jsonTemplateId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"slotId\": \"<string>\",\n \"adFormat\": \"banner\",\n \"deviceType\": \"desktop\"\n }\n }\n ],\n \"isActive\": true,\n \"externalCampaignId\": \"<string>\",\n \"isAutoTrigger\": false,\n \"position\": 1,\n \"walletId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"impressionsThreshold\": 123,\n \"exclusivityPercentage\": 123,\n \"status\": \"pending\",\n \"productIds\": [\n \"<string>\"\n ],\n \"mediaType\": \"video\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.topsort.com/public/v1/campaign-service/campaigns/exclusive-banner")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Bola-Bola Ad campaign\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"exclusivityPrice\": 123,\n \"bids\": [\n {\n \"target\": {\n \"id\": \"p_8983\",\n \"type\": \"product\"\n },\n \"amount\": \"<unknown>\",\n \"location\": \"Santiago\",\n \"triggers\": [],\n \"formatProperties\": {\n \"bannerAssets\": [\n {\n \"dimensions\": {\n \"width\": 1920,\n \"height\": 1080\n },\n \"url\": \"<string>\",\n \"contentType\": \"image/png\",\n \"size\": 123,\n \"assetId\": \"asset_01j713j64yfsvtj4bs3ccpy5ca\",\n \"content\": {},\n \"jsonTemplateId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"slotId\": \"<string>\",\n \"adFormat\": \"banner\",\n \"deviceType\": \"desktop\"\n }\n }\n ],\n \"isActive\": true,\n \"externalCampaignId\": \"<string>\",\n \"isAutoTrigger\": false,\n \"position\": 1,\n \"walletId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"impressionsThreshold\": 123,\n \"exclusivityPercentage\": 123,\n \"status\": \"pending\",\n \"productIds\": [\n \"<string>\"\n ],\n \"mediaType\": \"video\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.topsort.com/public/v1/campaign-service/campaigns/exclusive-banner")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Bola-Bola Ad campaign\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"exclusivityPrice\": 123,\n \"bids\": [\n {\n \"target\": {\n \"id\": \"p_8983\",\n \"type\": \"product\"\n },\n \"amount\": \"<unknown>\",\n \"location\": \"Santiago\",\n \"triggers\": [],\n \"formatProperties\": {\n \"bannerAssets\": [\n {\n \"dimensions\": {\n \"width\": 1920,\n \"height\": 1080\n },\n \"url\": \"<string>\",\n \"contentType\": \"image/png\",\n \"size\": 123,\n \"assetId\": \"asset_01j713j64yfsvtj4bs3ccpy5ca\",\n \"content\": {},\n \"jsonTemplateId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"slotId\": \"<string>\",\n \"adFormat\": \"banner\",\n \"deviceType\": \"desktop\"\n }\n }\n ],\n \"isActive\": true,\n \"externalCampaignId\": \"<string>\",\n \"isAutoTrigger\": false,\n \"position\": 1,\n \"walletId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"impressionsThreshold\": 123,\n \"exclusivityPercentage\": 123,\n \"status\": \"pending\",\n \"productIds\": [\n \"<string>\"\n ],\n \"mediaType\": \"video\"\n}"
response = http.request(request)
puts response.read_body{
"name": "Bola-Bola Ad campaign",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exclusivityPrice": 123,
"chargeType": "DAILY",
"campaignType": "manual",
"adFormat": "exclusive_banner",
"vendorId": "<string>",
"walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActive": true,
"externalCampaignId": "<string>",
"isAutoTrigger": false,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "9999-12-31T22:59:59.999999Z",
"bidType": "exclusive",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 1,
"status": "pending",
"impressionsThreshold": 123,
"exclusivityPercentage": 123,
"mediaType": "video"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Campaign API
[BETA] Create exclusive banner campaign.
Endpoint to create exclusive banner campaigns and its respective bids.
Exclusive campaigns override auctions and are always shown by a fixed daily price.
POST
/
public
/
v1
/
campaign-service
/
campaigns
/
exclusive-banner
[BETA] Create exclusive banner campaign.
curl --request POST \
--url https://api.topsort.com/public/v1/campaign-service/campaigns/exclusive-banner \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Bola-Bola Ad campaign",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"exclusivityPrice": 123,
"bids": [
{
"target": {
"id": "p_8983",
"type": "product"
},
"amount": "<unknown>",
"location": "Santiago",
"triggers": [],
"formatProperties": {
"bannerAssets": [
{
"dimensions": {
"width": 1920,
"height": 1080
},
"url": "<string>",
"contentType": "image/png",
"size": 123,
"assetId": "asset_01j713j64yfsvtj4bs3ccpy5ca",
"content": {},
"jsonTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"slotId": "<string>",
"adFormat": "banner",
"deviceType": "desktop"
}
}
],
"isActive": true,
"externalCampaignId": "<string>",
"isAutoTrigger": false,
"position": 1,
"walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"impressionsThreshold": 123,
"exclusivityPercentage": 123,
"status": "pending",
"productIds": [
"<string>"
],
"mediaType": "video"
}
'import requests
url = "https://api.topsort.com/public/v1/campaign-service/campaigns/exclusive-banner"
payload = {
"name": "Bola-Bola Ad campaign",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"exclusivityPrice": 123,
"bids": [
{
"target": {
"id": "p_8983",
"type": "product"
},
"amount": "<unknown>",
"location": "Santiago",
"triggers": [],
"formatProperties": {
"bannerAssets": [
{
"dimensions": {
"width": 1920,
"height": 1080
},
"url": "<string>",
"contentType": "image/png",
"size": 123,
"assetId": "asset_01j713j64yfsvtj4bs3ccpy5ca",
"content": {},
"jsonTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"slotId": "<string>",
"adFormat": "banner",
"deviceType": "desktop"
}
}
],
"isActive": True,
"externalCampaignId": "<string>",
"isAutoTrigger": False,
"position": 1,
"walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"impressionsThreshold": 123,
"exclusivityPercentage": 123,
"status": "pending",
"productIds": ["<string>"],
"mediaType": "video"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Bola-Bola Ad campaign',
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
exclusivityPrice: 123,
bids: [
{
target: {id: 'p_8983', type: 'product'},
amount: '<unknown>',
location: 'Santiago',
triggers: [],
formatProperties: {
bannerAssets: [
{
dimensions: {width: 1920, height: 1080},
url: '<string>',
contentType: 'image/png',
size: 123,
assetId: 'asset_01j713j64yfsvtj4bs3ccpy5ca',
content: {},
jsonTemplateId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
],
slotId: '<string>',
adFormat: 'banner',
deviceType: 'desktop'
}
}
],
isActive: true,
externalCampaignId: '<string>',
isAutoTrigger: false,
position: 1,
walletId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
impressionsThreshold: 123,
exclusivityPercentage: 123,
status: 'pending',
productIds: ['<string>'],
mediaType: 'video'
})
};
fetch('https://api.topsort.com/public/v1/campaign-service/campaigns/exclusive-banner', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.topsort.com/public/v1/campaign-service/campaigns/exclusive-banner",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Bola-Bola Ad campaign',
'startDate' => '2023-11-07T05:31:56Z',
'endDate' => '2023-11-07T05:31:56Z',
'exclusivityPrice' => 123,
'bids' => [
[
'target' => [
'id' => 'p_8983',
'type' => 'product'
],
'amount' => '<unknown>',
'location' => 'Santiago',
'triggers' => [
],
'formatProperties' => [
'bannerAssets' => [
[
'dimensions' => [
'width' => 1920,
'height' => 1080
],
'url' => '<string>',
'contentType' => 'image/png',
'size' => 123,
'assetId' => 'asset_01j713j64yfsvtj4bs3ccpy5ca',
'content' => [
],
'jsonTemplateId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
],
'slotId' => '<string>',
'adFormat' => 'banner',
'deviceType' => 'desktop'
]
]
],
'isActive' => true,
'externalCampaignId' => '<string>',
'isAutoTrigger' => false,
'position' => 1,
'walletId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'impressionsThreshold' => 123,
'exclusivityPercentage' => 123,
'status' => 'pending',
'productIds' => [
'<string>'
],
'mediaType' => 'video'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.topsort.com/public/v1/campaign-service/campaigns/exclusive-banner"
payload := strings.NewReader("{\n \"name\": \"Bola-Bola Ad campaign\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"exclusivityPrice\": 123,\n \"bids\": [\n {\n \"target\": {\n \"id\": \"p_8983\",\n \"type\": \"product\"\n },\n \"amount\": \"<unknown>\",\n \"location\": \"Santiago\",\n \"triggers\": [],\n \"formatProperties\": {\n \"bannerAssets\": [\n {\n \"dimensions\": {\n \"width\": 1920,\n \"height\": 1080\n },\n \"url\": \"<string>\",\n \"contentType\": \"image/png\",\n \"size\": 123,\n \"assetId\": \"asset_01j713j64yfsvtj4bs3ccpy5ca\",\n \"content\": {},\n \"jsonTemplateId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"slotId\": \"<string>\",\n \"adFormat\": \"banner\",\n \"deviceType\": \"desktop\"\n }\n }\n ],\n \"isActive\": true,\n \"externalCampaignId\": \"<string>\",\n \"isAutoTrigger\": false,\n \"position\": 1,\n \"walletId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"impressionsThreshold\": 123,\n \"exclusivityPercentage\": 123,\n \"status\": \"pending\",\n \"productIds\": [\n \"<string>\"\n ],\n \"mediaType\": \"video\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.topsort.com/public/v1/campaign-service/campaigns/exclusive-banner")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Bola-Bola Ad campaign\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"exclusivityPrice\": 123,\n \"bids\": [\n {\n \"target\": {\n \"id\": \"p_8983\",\n \"type\": \"product\"\n },\n \"amount\": \"<unknown>\",\n \"location\": \"Santiago\",\n \"triggers\": [],\n \"formatProperties\": {\n \"bannerAssets\": [\n {\n \"dimensions\": {\n \"width\": 1920,\n \"height\": 1080\n },\n \"url\": \"<string>\",\n \"contentType\": \"image/png\",\n \"size\": 123,\n \"assetId\": \"asset_01j713j64yfsvtj4bs3ccpy5ca\",\n \"content\": {},\n \"jsonTemplateId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"slotId\": \"<string>\",\n \"adFormat\": \"banner\",\n \"deviceType\": \"desktop\"\n }\n }\n ],\n \"isActive\": true,\n \"externalCampaignId\": \"<string>\",\n \"isAutoTrigger\": false,\n \"position\": 1,\n \"walletId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"impressionsThreshold\": 123,\n \"exclusivityPercentage\": 123,\n \"status\": \"pending\",\n \"productIds\": [\n \"<string>\"\n ],\n \"mediaType\": \"video\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.topsort.com/public/v1/campaign-service/campaigns/exclusive-banner")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Bola-Bola Ad campaign\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"exclusivityPrice\": 123,\n \"bids\": [\n {\n \"target\": {\n \"id\": \"p_8983\",\n \"type\": \"product\"\n },\n \"amount\": \"<unknown>\",\n \"location\": \"Santiago\",\n \"triggers\": [],\n \"formatProperties\": {\n \"bannerAssets\": [\n {\n \"dimensions\": {\n \"width\": 1920,\n \"height\": 1080\n },\n \"url\": \"<string>\",\n \"contentType\": \"image/png\",\n \"size\": 123,\n \"assetId\": \"asset_01j713j64yfsvtj4bs3ccpy5ca\",\n \"content\": {},\n \"jsonTemplateId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"slotId\": \"<string>\",\n \"adFormat\": \"banner\",\n \"deviceType\": \"desktop\"\n }\n }\n ],\n \"isActive\": true,\n \"externalCampaignId\": \"<string>\",\n \"isAutoTrigger\": false,\n \"position\": 1,\n \"walletId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"impressionsThreshold\": 123,\n \"exclusivityPercentage\": 123,\n \"status\": \"pending\",\n \"productIds\": [\n \"<string>\"\n ],\n \"mediaType\": \"video\"\n}"
response = http.request(request)
puts response.read_body{
"name": "Bola-Bola Ad campaign",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exclusivityPrice": 123,
"chargeType": "DAILY",
"campaignType": "manual",
"adFormat": "exclusive_banner",
"vendorId": "<string>",
"walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActive": true,
"externalCampaignId": "<string>",
"isAutoTrigger": false,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "9999-12-31T22:59:59.999999Z",
"bidType": "exclusive",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 1,
"status": "pending",
"impressionsThreshold": 123,
"exclusivityPercentage": 123,
"mediaType": "video"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorizaciones
Cuerpo
application/json
The request body for creating an exclusive banner campaign.
Respuesta
Successful Response
Model that represents an Exclusive Banner Campaign.
Date when to start the campaign, specified in RFC 3339, if not set that campaign will start immediately after the campaign creation. Must include the Timezone definition.If the start date is in the past, it will be set to the current date.
Date when to stop the campaign, specified in RFC 3339, if not set the campaign will never stop. This date must be greater than the start date and must be in the future. Must include the Timezone definition.
¿Esta página le ayudó?